GET api/Points/GetUserGetGiveRefferPoints/{id}
Get User Get/Give RefferPoint for user
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | integer |
Default value is 0 |
Body Parameters
None.
Response Information
Resource Description
GenericResponseOfUserGetGiveRefferPointDTO| Name | Description | Type | Additional information |
|---|---|---|---|
| status | string |
None. |
|
| message | string |
None. |
|
| UserStatus | string |
None. |
|
| Data | UserGetGiveRefferPointDTO |
None. |
Response Formats
application/json, text/json
Sample:
{
"status": "sample string 1",
"message": "sample string 2",
"userStatus": "sample string 3",
"data": {
"id": 1,
"userId": 2,
"getRefferPoints": 3,
"giveRefferPoints": 4,
"createdOn": "2026-08-08T08:26:55.0312894+00:00",
"createdBy": "sample string 5",
"updateOn": "2026-08-08T08:26:55.0312894+00:00",
"updatedBy": "sample string 6",
"email": "sample string 7"
}
}